org.eclipse.oomph.resources.backend

## Class BackendFile

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendResource
  - - org.eclipse.oomph.resources.backend.BackendFile

-     public final class BackendFile
      extends BackendResource

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `BackendResource.Type, BackendResource.Visitor`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `RESOURCE_SCHEME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getContentBytes(IProgressMonitor monitor)`
    `InputStream` | `getContents(IProgressMonitor monitor)`
    `BackendResource.Type` | `getType()`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `accept, equals, exists, get, get, getAbsoluteURI, getDelegate, getLastModified, getLocation, getName, getParent, getRelativePath, getRelativeURI, getSystem, getSystemRelativePath, getSystemRelativeURI, hashCode, isContainer, isLocal, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public BackendResource.Type getType()

      Specified by:
        `getType` in class `BackendResource`

    - #### getContents

          public InputStream getContents(IProgressMonitor monitor)
                                  throws BackendException,
                                         OperationCanceledException,
                                         IOException

      Throws:
        `BackendException`
        `OperationCanceledException`
        `IOException`

    - #### getContentBytes

          public byte[] getContentBytes(IProgressMonitor monitor)
                                 throws BackendException,
                                        OperationCanceledException,
                                        IOException

      Throws:
        `BackendException`
        `OperationCanceledException`
        `IOException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html